Closed Bug 965955 Opened 6 years ago Closed 6 years ago

Intermittent marStageSuccessPartial.js,marStageSuccessComplete.js | test failed (with xpcshell return code: 0) | NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProcess.run]

Categories

(Toolkit :: Application Update, defect)

x86_64
macOS
defect
Not set

Tracking

()

RESOLVED FIXED
mozilla30
Tracking Status
firefox27 --- unaffected
firefox28 --- unaffected
firefox29 --- fixed
firefox30 --- fixed
firefox-esr24 --- unaffected
b2g18 --- unaffected

People

(Reporter: RyanVM, Assigned: rstrong)

References

Details

(Keywords: intermittent-failure)

Attachments

(1 file)

Could have sworn I saw one like this yesterday too, but I can't find it now.

https://tbpl.mozilla.org/php/getParsedLog.php?id=33820248&tree=Mozilla-Inbound

Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2014-01-30 09:56:39 PST for push bb793d3d2bad
slave: talos-r4-snow-026

10:19:48     INFO -  TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial.js | running test ...
10:19:48  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial.js | test failed (with xpcshell return code: 0), see following log:
10:19:48     INFO -  >>>>>>>
10:19:48     INFO -  System JS : WARNING /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js:1789 - in strict mode code, functions may be declared only at top level or immediately within another function
10:19:48     INFO -  System JS : WARNING /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js:1806 - in strict mode code, functions may be declared only at top level or immediately within another function
10:19:48     INFO -  TEST-INFO | (xpcshell/head.js) | test MAIN run_test pending (1)
10:19:48     INFO -  10:19:48:526 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [setupTestCommon : 1360] start - general test setup
10:19:48     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:19:48     INFO -  10:19:48:528 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [setupTestCommon : 1432] finish - general test setup
10:19:48     INFO -  System JS : WARNING /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js:1872 - assignment to undeclared variable updateSettingsIni
10:19:48     INFO -  10:19:48:572 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1886] running the updater: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Contents/MacOS/updates/0/updater.app/Contents/MacOS/updater /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Contents/MacOS/updates/0 /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/ -1
10:19:48     INFO -  10:19:48:610 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1918] testing updater binary process exitValue against expected exit value
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1920] 0 == 0
10:19:48     INFO -  10:19:48:611 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1921] testing update status against expected status
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1922] "applied" == "applied"
10:19:48     INFO -  10:19:48:611 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1924] testing updating directory doesn't exist
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1925] false == false
10:19:48     INFO -  10:19:48:612 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial.js | [run_test : 251] testing last modified time on the apply to directory has changed after a successful update (bug 600098)
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial.js | [run_test : 256] true == true
10:19:48     INFO -  10:19:48:613 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkFilesAfterUpdateSuccess : 2746] testing contents of files after a successful update
10:19:48     INFO -  10:19:48:613 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/defaults/pref/channel-prefs.js
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:614 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 644, compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:615 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:616 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/precomplete
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:617 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 666, compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:622 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:623 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/searchplugins/searchpluginstext0
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:624 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 775, compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:625 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:625 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/searchplugins/searchpluginspng1.png
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:626 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 666, compare permissions : 666, updated permissions : 666
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 438 == 438
10:19:48     INFO -  10:19:48:631 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:632 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/searchplugins/searchpluginspng0.png
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:632 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 666, compare permissions : 666, updated permissions : 666
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 438 == 438
10:19:48     INFO -  10:19:48:636 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:637 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/extensions/extensions1/extensions1text0
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:637 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:638 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:639 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/extensions/extensions1/extensions1png1.png
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:639 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 666, compare permissions : 666, updated permissions : 666
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 438 == 438
10:19:48     INFO -  10:19:48:643 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:644 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/extensions/extensions1/extensions1png0.png
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:644 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 666, compare permissions : 666, updated permissions : 666
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 438 == 438
10:19:48     INFO -  10:19:48:648 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:649 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/extensions/extensions0/extensions0text0
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:650 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 644, compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:650 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:651 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/extensions/extensions0/extensions0png1.png
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:651 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 644, compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:655 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:657 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/extensions/extensions0/extensions0png0.png
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:657 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 644, compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:661 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:662 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/exe0.exe
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:663 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 755, compare permissions : 755, updated permissions : 755
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 493 == 493
10:19:48     INFO -  10:19:48:667 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:667 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/0/0exe0.exe
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:668 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 755, compare permissions : 755, updated permissions : 755
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 493 == 493
10:19:48     INFO -  10:19:48:672 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:673 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/0/00/00text0
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:673 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 644, compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:676 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:676 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/0/00/00png0.png
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:677 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - original permissions: 666, compare permissions : 666, updated permissions : 666
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 438 == 438
10:19:48     INFO -  10:19:48:681 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:682 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/2/20/20text0
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:682 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:683 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:683 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/2/20/20png0.png
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:684 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:688 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:688 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/0/00/00text2
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2752] true == true
10:19:48     INFO -  10:19:48:689 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2766] testing file permissions - compare permissions : 644, updated permissions : 644
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2767] 420 == 420
10:19:48     INFO -  10:19:48:690 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2777] file contents are correct
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2778] true == true
10:19:48     INFO -  10:19:48:690 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/1/10/10text0
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2784] false == false
10:19:48     INFO -  10:19:48:691 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2750] testing file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/0/00/00text1
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TF_FE : 2784] false == false
10:19:48     INFO -  10:19:48:691 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkFilesAfterUpdateSuccess : 2788] testing operations specified in removed-files were performed after a successful update
10:19:48     INFO -  10:19:48:692 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/3
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
10:19:48     INFO -  10:19:48:692 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/3/3text0
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2804] false == false
10:19:48     INFO -  10:19:48:693 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/3/3text1
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2804] false == false
10:19:48     INFO -  10:19:48:694 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/4
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:694 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/5
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:695 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/6
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:696 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/7
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:696 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
10:19:48     INFO -  10:19:48:697 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/80
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:698 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/81
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
10:19:48     INFO -  10:19:48:698 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/81/81text0
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2806] true == true
10:19:48     INFO -  10:19:48:699 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/81/81text1
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2806] true == true
10:19:48     INFO -  10:19:48:700 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/82
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
10:19:48     INFO -  10:19:48:700 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2814] testing sub-directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/82/820
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2815] true == true
10:19:48     INFO -  10:19:48:701 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2814] testing sub-directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/82/821
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2815] true == true
10:19:48     INFO -  10:19:48:702 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/83
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:703 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/84
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:703 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/85
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:704 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/86
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:705 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/87
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:705 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/88
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:706 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/8/89
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:707 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/90
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:707 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/91
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
10:19:48     INFO -  10:19:48:708 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/91/91text0
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2806] true == true
10:19:48     INFO -  10:19:48:709 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2802] testing directory file: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/91/91text1
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_F_FE : 2806] true == true
10:19:48     INFO -  10:19:48:709 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/92
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2797] true == true
10:19:48     INFO -  10:19:48:710 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2814] testing sub-directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/92/920
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2815] true == true
10:19:48     INFO -  10:19:48:711 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2814] testing sub-directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/92/921
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_SD_FE : 2815] true == true
10:19:48     INFO -  10:19:48:711 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/93
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:712 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/94
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:712 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/95
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:713 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/96
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:714 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/97
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:714 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/98
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:715 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/9/99
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:716 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/1/10
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:717 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2793] testing directory: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/a/b/1
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [CFAUS_TD_FE : 2795] false == false
10:19:48     INFO -  10:19:48:717 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkFilesAfterUpdateCommon : 2921] testing patch files should not be left behind
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkFilesAfterUpdateCommon : 2926] "log" != "patch"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkFilesAfterUpdateCommon : 2926] "mar" != "patch"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkFilesAfterUpdateCommon : 2926] "status" != "patch"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkFilesAfterUpdateCommon : 2926] "" != "patch"
10:19:48     INFO -  10:19:48:720 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkFilesAfterUpdateCommon : 2929] testing backup files should not be left behind
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "png" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "exe" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "png" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "js" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "exe" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "png" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "png" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "png" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "png" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "png" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "png" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "" != "moz-backup"
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [checkForBackupFiles : 3052] "ini" != "moz-backup"
10:19:48     INFO -  10:19:48:739 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial.js | [run_test : 266] testing tobedeleted directory doesn't exist
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial.js | [run_test : 268] false == false
10:19:48     INFO -  TEST-PASS | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial.js | [run_test : 270] false == false
10:19:48     INFO -  10:19:48:746 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [runUpdate : 1886] running the updater: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Contents/MacOS/updates/0/updater.app/Contents/MacOS/updater /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Contents/MacOS/updates/0 /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/Updated.app/ 0/replace /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/a/b /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial/dir.app/a/b/callback_app ./ callback.log Test Arg 2 Test Arg 3
10:19:48  WARNING -  TEST-UNEXPECTED-FAIL | xpcshell/head.js | NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProcess.run]
10:19:48     INFO -  10:19:48:761 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [AGP_cleanup : 3498] start - unregistering directory provider
10:19:48     INFO -  10:19:48:769 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [cleanupTestCommon : 1440] start - general test cleanup
10:19:48     INFO -  10:19:48:846 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [cleanupTestCommon : 1523] attempting to remove directory. Path: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial
10:19:48     INFO -  10:19:48:847 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [removeDirRecursive : 1222] attempting to remove directory. Path: /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/marStageSuccessPartial
10:19:48     INFO -  10:19:48:851 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [cleanupTestCommon : 1534] finish - general test cleanup
10:19:48     INFO -  10:19:48:852 | TEST-INFO | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/mozapps/update/tests/unit_base_updater/head_update.js | [AGP_cleanup : 3545] finish - unregistering directory provider
https://tbpl.mozilla.org/php/getParsedLog.php?id=34423799&tree=Fx-Team
Summary: Intermittent marStageSuccessPartial.js | test failed (with xpcshell return code: 0) | NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProcess.run] → Intermittent marStageSuccessPartial.js,marStageSuccessComplete.js | test failed (with xpcshell return code: 0) | NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProcess.run]
Robert, this has been occurring pretty regularly for 3 weeks now. Can we please get someone to look into it?
Blocks: 966140
Flags: needinfo?(robert.strong.bugs)
Attached patch bug965955Splinter Review
So it seems that this happens on Mac 10.6 when runUpdate is called twice in a row and then the 2nd call is when it fails. I'd like to try running the 2nd call with a timeout to see if it makes a difference.
Assignee: nobody → robert.strong.bugs
Status: NEW → ASSIGNED
Attachment #8383030 - Flags: review?(netzen)
Flags: needinfo?(robert.strong.bugs)
Attachment #8383030 - Flags: review?(netzen) → review+
Pushed to mozilla-inbound. Also includes a possible fix for bug 966140
https://hg.mozilla.org/integration/mozilla-inbound/rev/281e47e4184f
Whiteboard: [leave open]
Pushed to mozilla-aurora
https://hg.mozilla.org/releases/mozilla-aurora/rev/895357c0cf5c

I'm going to leave this open a few more days.
Flags: in-testsuite+
Target Milestone: --- → mozilla30
No further test failures since this landing so resolving -> fixed. Please reopen if it fails again.
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Whiteboard: [leave open]
You need to log in before you can comment on or make changes to this bug.